# Uses of Interface
org.apache.commons.math3.genetics.CrossoverPolicy

Packages that use CrossoverPolicy
Package
Description
org.apache.commons.math3.genetics
This package provides Genetic Algorithms components and implementations.

## Uses of CrossoverPolicy in org.apache.commons.math3.genetics

Classes in org.apache.commons.math3.genetics that implement CrossoverPolicy
Modifier and Type
Class
Description
`class`
`CycleCrossover<T>`
Cycle Crossover [CX] builds offspring from ordered chromosomes by identifying cycles between two parent chromosomes.
`class`
`NPointCrossover<T>`
N-point crossover policy.
`class`
`OnePointCrossover<T>`
One point crossover policy.
`class`
`OrderedCrossover<T>`
Order 1 Crossover [OX1] builds offspring from ordered chromosomes by copying a consecutive slice from one parent, and filling up the remaining genes from the other parent as they appear.
`class`
`UniformCrossover<T>`
Perform Uniform Crossover [UX] on the specified chromosomes.
Methods in org.apache.commons.math3.genetics that return CrossoverPolicy
Modifier and Type
Method
Description
`CrossoverPolicy`
GeneticAlgorithm.`getCrossoverPolicy()`
Returns the crossover policy.
Constructors in org.apache.commons.math3.genetics with parameters of type CrossoverPolicy
Modifier
Constructor
Description
``
`GeneticAlgorithm(CrossoverPolicy crossoverPolicy, double crossoverRate, MutationPolicy mutationPolicy, double mutationRate, SelectionPolicy selectionPolicy)`
Create a new genetic algorithm.